<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Metasploit Report Types</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#16-reports/report-types.html">Open topic with navigation</a>
        </p>
        <h1>Metasploit Report Types</h1>
        <p><span class="VariablesProductName">Metasploit Pro</span> offers several different reports to help you control the scope of data that is presented in each report.&#160;Each report focuses on a particular type of data that is stored within a project.</p>
        <p>Since projects can contain a multitude of information,  <span class="VariablesProductName">Metasploit Pro</span> offers several different report types to help you control the scope of data that you present to an organization.&#160;Each report focuses on a particular set of data that is stored within a project. For example,  you can create a report that contains   social engineering data or vulnerability validation results. </p>
        <h2><a name="Understa"></a>Understanding Report Types</h2>
        <p>The following sections provide an overview of each report type, the options that are available for it, and the sections that it includes.</p>
        <h3>Activity&#160;Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Description</td>
                    <td>
                        <p class="tableBody">Generates a human readable version of the activity log.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML,  RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Cover</p>
                        <p class="tableBody">Project Summary</p>
                        <p class="tableBody">Task Details</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Audit Report</h3>
        <p>The Audit Report presents the comprehensive findings for a project. It is useful when you want to obtain a detailed look at targeted hosts in a project. The report data is divided into two sections: Major Findings and Detailed Findings. </p>
        <h4>Major Findings </h4>
        <p>The Major Findings section presents host, operating system, and compromised credential data through tables and graphs. Its purpose is to help you quickly summarize and identify important data points in the report. </p>
        <p>The Major Findings section includes the following data:</p>
        <ul>
            <li value="1">The potential attack surface based on the number of discovered vulnerabilities and services per operating system. </li>
            <li value="2">A breakdown of the host, service, and vulnerability counts for each operating system. </li>
            <li value="3">The IP&#160;address, name, operating system, service count, and vulnerability count for each host in the project. </li>
            <li value="4">The public and private values, realm type, realm value, origin, host count, and service count for each type of credential found in the project. All credentials are grouped according to their type. A credential can be a plaintext password, NTLM hash, or SSH key. </li>
            <li value="5">A statistical breakdown of credentials by host, origin, service, and type. </li>
        </ul>
        <h4>Detailed Findings </h4>
        <p>The Detailed Findings section provides granular details for each host in the project. It includes the following data:</p>
        <ul>
            <li value="1">The host names and IP addresses of all the targets in the project.</li>
            <li value="2">The details of the credentials stored in the project, such as their public (username), private (password), realm type, realm value, and origin. </li>
            <li value="3">The open services that were discovered on each host. </li>
            <li value="4">The vulnerabilities that were discovered on each host. </li>
            <li value="5">The web vulnerabilities that were discovered on each host. </li>
            <li value="6">The modules that were able to successfully exploit a vulnerability and open a session. </li>
            <li value="7">The activity for each session, such as when it was opened and closed and the commands that were run during the session. </li>
        </ul>
        <h4>Audit Report Options </h4>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. The Audit report will display the user name with a blank password.</p>
                        <p class="tableBody">&#160;</p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody">&#160;</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Executive Summary</p>
                        <p class="tableBody">Compromised Hosts</p>
                        <p class="tableBody">Credentials</p>
                        <p class="tableBody">Discovered OSes</p>
                        <p class="tableBody">Discovered Hosts</p>
                        <p class="tableBody">Host Details</p>
                        <p class="tableBody">Discovered Services</p>
                        <p class="tableBody">Web Sites</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Collected Evidence Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Description</td>
                    <td>
                        <p class="tableBody">Reports on all looted hosts. Describes the files and screenshots that were collected from compromised hosts.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Project Summary, Executive Summary, Evidence Summary Table, Complete Evidence Table, Collected Screenshots, and Collected Text Files</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Compromised and Vulnerable Hosts Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Description</td>
                    <td>
                        <p class="tableBody">Reports on all hosts on which Metasploit was able to open a session, hosts on which a Metasploit module was successfully run, and hosts where a vulnerability was recorded.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. The Audit report will display the user name with a blank password.</p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Project Summary</p>
                        <p class="tableBody">Executive Summary</p>
                        <p class="tableBody">Compromised Summary</p>
                        <p class="tableBody">Compromised Hosts</p>
                        <p class="tableBody">Vulnerabilities and Exploits</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Credentials Report</h3>
        <p>The Credentials Report presents the comprehensive findings for the credentials in a project. It compiles the credential data in a project into a single unified view. To help you navigate through the data to find key information, the report is organized into the following sections: </p>
        <ul>
            <li value="1"><a href="#CredentialSummary">Credentials Summary</a> <![CDATA[ ]]></li>
            <li value="2"><a href="#CredentialDetails">Credentials Details</a>
            </li>
            <li value="3"><a href="#LoginDetails">Login Details</a>
            </li>
            <li value="4"><a href="#HostDetails">Host Details</a>
            </li>
            <li value="5"><a href="#ModuleDetails">Module Details</a>
            </li>
            <li value="6">Appendix</li>
        </ul>
        <h4><a name="CredentialSummary"></a>Credential Summary</h4>
        <p style="font-weight: normal;">The Credentials Summary uses pie charts to  visualize key findings according to the following categories: </p>
        <ul>
            <li style="font-weight: normal;" value="1"><b>Private Types</b> - The relative distribution of private types for all credentials in the project. </li>
            <li style="font-weight: normal;" value="2"><b>Credential Origins</b> - The relative distribution of credential origins for all credentials in the project. </li>
            <li style="font-weight: normal;" value="3"><b>Top Hosts by Logins</b> - The relative distribution of logins across all hosts in the project. </li>
            <li style="font-weight: normal;" value="4"><b>Top Shared Credentials by Related Hosts</b> - The distribution of credential pairs that are most commonly shared between hosts.</li>
            <li style="font-weight: normal;" value="5"><b>Logins by OS</b> - The relative distribution of logins across different operating systems. </li>
            <li style="font-weight: normal;" value="6"><b>Logins by Service</b> - The relative distribution of logins by service type. </li>
        </ul>
        <p style="font-weight: normal;">
            <img src="../Resources/Images/reports/reports-cred-summary_393x366.png" title="Credential Summary" style="width: 393;height: 366;" />
        </p>
        <p class="FigureCaption">Credential Summary</p>
        <h4><a name="CredentialDetails"></a>Credential Details </h4>
        <p style="font-weight: normal;">The Credential Details presents the granular details of each credential that is stored in the project. Each credential will be grouped by its type and will have the following information: </p>
        <ul>
            <li style="font-weight: normal;" value="1">Public value</li>
            <li style="font-weight: normal;" value="2">Private value</li>
            <li style="font-weight: normal;" value="3">Realm type </li>
            <li style="font-weight: normal;" value="4">Realm value</li>
            <li style="font-weight: normal;" value="5">Origin</li>
            <li style="font-weight: normal;" value="6">Hosts</li>
            <li style="font-weight: normal;" value="7">Services</li>
        </ul>
        <h4><a name="LoginDetails"></a>Login Details </h4>
        <p>The Login Details shows the logins for the project. Each login will have the following information:</p>
        <ul>
            <li value="1">Service name</li>
            <li value="2">Host address</li>
            <li value="3">Login status</li>
            <li value="4">Login creation date</li>
            <li value="5">Access level</li>
            <li value="6">Public data</li>
        </ul>
        <h4><a name="HostDetails"></a>Host Details</h4>
        <p>The Host Details lists the hosts in the project that have at least one credential. Each host will have the following information:</p>
        <ul>
            <li value="1">Host name</li>
            <li value="2">IP&#160;address</li>
            <li value="3">The date the host was added</li>
            <li value="4">The total logins for the host</li>
            <li value="5">The number of credentials available for the host</li>
        </ul>
        <h4><a name="ModuleDetails"></a>Module Details</h4>
        <p>The Module Details shows you the modules that were used to obtain a service or session. This section is divided into two parts: Service Origins and Session Origins. </p>
        <p class="subheading">Service Origins</p>
        <p>Under the Service Origin section, each module will have the following information:</p>
        <ul>
            <li value="1">Module name</li>
            <li value="2">Service name</li>
            <li value="3">Number of logins for the module</li>
            <li value="4">The date and time the service was added</li>
        </ul>
        <p class="subheading">Session Origins</p>
        <p>Under the Session Origins section, each module will have the following information:</p>
        <ul>
            <li value="1">Module name</li>
            <li value="2">The date and time the session was opened</li>
            <li value="3">The number of credentials obtained with the module</li>
            <li value="4">The number of logins for the module </li>
        </ul>
        <h4>Appendix</h4>
        <p>The Appendix provides additional details about the Credentials Report, such as the options that were used to generate the report and the glossary of terms. </p>
        <h4>Credentials Report Options </h4>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Masks all credentials, including plain text passwords, hashes, and SSH keys, from the report. It replaces the private value with <code>*MASKED*</code>. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Credentials Summary </p>
                        <p class="tableBody">Credentials Details</p>
                        <p class="tableBody">Login Details</p>
                        <p class="tableBody">Host Details</p>
                        <p class="tableBody">Module Details</p>
                        <p class="tableBody">Session Origins</p>
                        <p class="tableBody">Appendix</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>FISMA&#160;Compliance Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Description</td>
                    <td>
                        <p class="tableBody">Reports on FISMA compliance criteria.</p>
                        <p class="tableBody">*Not available in Metasploit Express.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Executive Summary</p>
                        <p class="tableBody">Detailed Findings</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody"> /path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>PCI&#160;Compliance Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Description</td>
                    <td>
                        <p class="tableBody">Reports on PCI compliance criteria.</p>
                        <p class="tableBody">*Not available in Metasploit Express.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Executive Summary</p>
                        <p class="tableBody">Requirements Status Summary</p>
                        <p class="tableBody">Host Status Summary</p>
                        <p class="tableBody">Detailed Findings</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Services Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Services</td>
                    <td>
                        <p class="tableBody">Reports on all network services that were scanned or imported.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Project Summary</p>
                        <p class="tableBody">Executive Summary</p>
                        <p class="tableBody">Network Service Summary</p>
                        <p class="tableBody">Network Services Table</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody"> /path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Social Engineering Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Description</td>
                    <td>
                        <p class="tableBody">Provides comprehensive results and data for a particular campaign. </p>
                        <p class="tableBody">*Not available in Metasploit Express.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Cover Page, Executive Summary</p>
                        <p class="tableBody">Social Engineering Funnel</p>
                        <p class="tableBody">Exploits Used</p>
                        <p class="tableBody">Form Submissions</p>
                        <p class="tableBody">Browser/Platform Information</p>
                        <p class="tableBody">Appendices: Hosts Details, Human Targets, Appendix: Campaign Components (Web page/e-mail HTML content)Appendix: Remediation Advice</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3>Web&#160;Application Assessment Report</h3>
        <table style="width: 100%;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Description</td>
                    <td>
                        <p class="tableBody">Enumerates all web sites and their vulnerabilities, forms, and pages.<br /><br />*Not available in Metasploit Express.</p>
                    </td>
                </tr>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableBody">PDF, HTML,  RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableBody"><b>Mask discovered credentials</b> - Removes all credentials, including plain text passwords, hashes, and SSH keys, from the report. </p>
                        <p class="tableBody"><b>Include session details</b> - Shows the details for each session <span class="VariablesProductName">Metasploit Pro</span> was able to open, such as the session type and attack module that <span class="VariablesProductName">Metasploit Pro</span> used to obtain the session.</p>
                        <p class="tableBody"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report. </p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <p class="tableBody">Cover Page</p>
                        <p class="tableBody">Executive Summary</p>
                        <p class="tableBody">Engagement Scope</p>
                        <p class="tableBody">OWASP Status</p>
                        <p class="tableBody">Summary Graphs</p>
                        <p class="tableBody">Vulnerability Details</p>
                        <p class="tableBody">Appendices</p>
                    </td>
                </tr>
                <tr>
                    <td>Report directory </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/</p>
                    </td>
                </tr>
                <tr>
                    <td>Report template </td>
                    <td>
                        <p class="tableBody">/path/to/metasploit/pro/reports/audit/msfxv3.jrxml</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p>&#160;</p>
    </body>
</html>